Get WebSocket Token
curl --request POST \
--url https://whitebit.com/api/v4/profile/websocket_token \
--header 'Content-Type: application/json' \
--header 'X-TXC-APIKEY: <api-key>' \
--header 'X-TXC-PAYLOAD: <api-key>' \
--header 'X-TXC-SIGNATURE: <api-key>' \
--data '
{
"request": "{{request}}",
"nonce": 1594297865000
}
'import requests
url = "https://whitebit.com/api/v4/profile/websocket_token"
payload = {
"request": "{{request}}",
"nonce": 1594297865000
}
headers = {
"X-TXC-APIKEY": "<api-key>",
"X-TXC-PAYLOAD": "<api-key>",
"X-TXC-SIGNATURE": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-TXC-APIKEY': '<api-key>',
'X-TXC-PAYLOAD': '<api-key>',
'X-TXC-SIGNATURE': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({request: '{{request}}', nonce: 1594297865000})
};
fetch('https://whitebit.com/api/v4/profile/websocket_token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"websocket_token": "your_current_token"
}{
"code": 30,
"message": "Validation failed",
"errors": {
"user": [
"user not found"
]
}
}Get WebSocket Token
The V4 endpoint can be used to retrieve the WebSocket token for user. The token is required to authorize WebSocket connections for private API access.
Beyond validation, this endpoint returns only the common authentication errors.
Rate limit: 10 requests/60 sec.
The API does not cache the response.
Get WebSocket Token
Authorizations
The public WhiteBIT API key.
Base64-encoded JSON request body.
HMAC-SHA512 signature of the payload, hex-encoded. Computed as hex(HMAC-SHA512(payload, api_secret)).
Body
application/json
Response
WebSocket token retrieved successfully
WebSocket authentication token
Was this page helpful?